<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/bg_dialog_dim">

    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@drawable/bg_confirm_dialog"
            android:orientation="vertical"
            android:paddingStart="16dp"
            android:paddingTop="24dp"
            android:paddingEnd="16dp"
            android:paddingBottom="24dp">

            <TextView
                android:id="@+id/title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:maxLines="1"
                android:text="@string/dialog_permission_tip_title"
                android:textColor="@color/text_color_primary"
                android:textSize="16sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:gravity="center"
                android:lineSpacingMultiplier="1.2"
                android:text="@string/dialog_permission_tip_content"
                android:textColor="@color/text_color_primary"
                android:textSize="14sp"
                android:textStyle="normal" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/reject_btn"
                    style="@style/dialog_action_btn"
                    android:layout_marginEnd="8dp"
                    android:text="@string/reject" />

                <TextView
                    android:id="@+id/allow_btn"
                    style="@style/dialog_action_btn2"
                    android:text="@string/allow" />
            </LinearLayout>
        </LinearLayout>

        <ImageView
            android:id="@+id/close_btn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="end"
            android:padding="14dp"
            android:src="@mipmap/ic_dialog_close" />
    </FrameLayout>
</FrameLayout>